[API Reference](../README.md) > [ExecutableInterface](../interfaces/ExecutableInterface.md)



# Interface: ExecutableInterface


Javascript version of the Arc ExecutableInterface, for information purposes.


## Methods
<a id="execute"></a>

###  execute

► **execute**(proposalId: *`number`*, avatar: *[Address](../#Address)*, vote: *`number`*): `Promise`.<`boolean`>



*Defined in [wrappers/genesisProtocol.ts:1108](https://github.com/daostack/arc.js/blob/77005d4/lib/wrappers/genesisProtocol.ts#L1108)*



**Parameters:**

| Param | Type | Description |
| ------ | ------ | ------ |
| proposalId | `number`   |  - |
| avatar | [Address](../#Address)   |  - |
| vote | `number`   |  - |





**Returns:** `Promise`.<`boolean`>





___


